FreeMat

- Main Page
- Related Pages

vtkOpenGLRayCastImageDisplayHelper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

This is the concrete implementation of a ray cast image display helper - a helper class responsible for drawing the image to the screen.

To create an instance of class vtkOpenGLRayCastImageDisplayHelper, simply invoke its constructor as follows

      obj = vtkOpenGLRayCastImageDisplayHelper

# Methods

The class vtkOpenGLRayCastImageDisplayHelper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLRayCastImageDisplayHelper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLRayCastImageDisplayHelper = obj.NewInstance ()`
- `vtkOpenGLRayCastImageDisplayHelper = obj.SafeDownCast (vtkObject o)`
- `obj.RenderTexture (vtkVolume vol, vtkRenderer ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, string image)`
- `obj.RenderTexture (vtkVolume vol, vtkRenderer ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, short image)`
- `obj.RenderTexture (vtkVolume vol, vtkRenderer ren, vtkFixedPointRayCastImage image, float requestedDepth)`